/* SZÍNEK */

/* Bordó */
.bordo,
.hover-bordo:hover {
    color: #ffffff !important;
    background-color: #862433 !important;
}
.text-bordo,
.hover-text-bordo:hover {
    color: #862433 !important;
}

input {
    accent-color: #862433;
}

td {
    vertical-align: middle !important;
}

.border-bordo {
    border: 1px solid #862433 !important;
}

.border-bordo-2 {
    border: 1px solid #862433 !important;
    box-shadow: 0 4px 8px 0 rgba(134, 36, 51, 0.2);
}

/* Bézs */
.bezs,
.hover-bezs:hover {
    color: #000000 !important;
    background-color: #ceaf87 !important;
}
.text-bezs,
.hover-text-bezs:hover {
    color: #ceaf87 !important;
}

.border-bezs {
    border: 1px solid #ceaf87 !important;
}
.border-bezs-2 {
    border: 1px solid #ceaf87 !important;
}

/* Bézs világosabb árnyalatok (nagyobb szám világosabb) */
.bezs-80,
.vbezs,
.hover-bezs-80:hover,
.vbezs-hover:hover {
    color: #000000 !important;
    background-color: #e1cfb7 !important;
}
.bezs-85,
.v2bezs,
.hover-bezs-85:hover,
.v2bezs-hover:hover {
    /*cím*/
    color: #000000 !important;
    background-color: #e8dbc9 !important;
}
.v3bezs,
.bezs-90,
.hover-v3bezs:hover,
.hover-bezs-90:hover {
    /*terem*/
    color: #000000 !important;
    background-color: #f0e7db !important;
}
.v4bezs,
.bezs-95,
.hover-v4bezs:hover,
.hover-bezs-95:hover {
    /*hover*/
    color: #000000 !important;
    background-color: #f7f3ed !important;
}
.v5bezs,
.bezs-97,
.hover-v5bezs:hover,
.hover-bezs-97:hover {
    /*háttér*/
    color: #000000 !important;
    background-color: #fff9f0 !important;
}

.pale-purple,
.hover-pale-purple:hover {
    color: #000;
    background-color: lavender !important;
}

/*
.simple-table {
    border-collapse: collapse;
}

table,
td,
th {
    border: 1px solid black;
    border-collapse: collapse;
}
*/

/* tooltips */

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 150px;
    background-color: #ceaf87;
    color: #ececec;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    top: 10px;
    left: 25px;
    z-index: 1;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
}

/* === Más === */
.szeleslehet {
    overflow-x: auto;
}

.legkulso {
    max-width: 450px;
}

.padding-bottom {
    padding-bottom: 8px !important;
}

.margin-auto,
.m-a {
    margin: auto;
    max-width: max-content;
}

.pub {
    margin: 16px auto 32px auto;
    /* max-width: max-content; */
    max-width: 1024px;
}

/*  table sort */
.table-sortable th {
    cursor: pointer;
}

.table-sortable .th-sort-asc::after,
.felfelenyilUtana::after {
    content: "\25b4";
}

.table-sortable .th-sort-desc::after,
.lefelenyilUtana::after {
    content: "\25be";
}

.table-sortable .th-sort-asc::after,
.table-sortable .th-sort-desc::after {
    margin-left: 5px;
}

.table-sortable .th-sort-asc,
.table-sortable .th-sort-desc {
    background: rgba(0, 0, 0, 0.1);
}

/* beosztásos listához */
.elte-szurke {
    background-color: #c8c9c7;
}
.marg-fl {
    margin-top: 4px;
    margin-bottom: 4px;
}
.pad-r {
    padding-right: 4px;
}

/* megint más */

div.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: -1px;
}

.shadow-bottom {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2)
        /* , 0 6px 20px 0 rgba(0, 0, 0, 0.19) */;
    z-index: 10;
}

.z {
    z-index: 11;
}

.margin-top-large {
    margin-top: 48px;
}

/* collapsible */

.collapsible {
    cursor: pointer;
}

.collapsible:after {
    content: "\002B";
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2212";
}

/* .content {
    padding: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}  */
/* end collapsible */

.szvlehet {
    font-size: 12px !important;
    color: #3a3a3a !important;
    margin-top: 2px;
    padding-left: 50px;
}

/* Kiikszelhető mező */
/* 
.iksz-balon {
    font-weight: bolder;
    color: red;
    background-color: #eadadc;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
}
.iksz-balon:hover{
    background-color: #e70c22;
    color: #000;

}
.iksz-egeszdiv {
    background-color: #f1eee8;
    border-radius: 12px;
    border: 1px solid #404;
} */

/* kurzus színválasztónál a kis négyzetek */
.gyakoriszin {
    border: 1px solid black;
    width: 20px;
    height: 20px;
    display: inline-block;
    margin-left: 5px;
}
.gyakoriszin:hover {
    border: 2px solid black;
    cursor: pointer;
}

/* svg icons */

svg,
.icontext {
    vertical-align: middle;
    display: inline-block;
}

/* margin */

.m-t-xs {
    margin-top: 2px;
}
.m-t-s {
    margin-top: 4px;
}
.m-t-m {
    margin-top: 8px;
}

.m-r-xs {
    margin-right: 2px;
}
.m-r-s {
    margin-right: 4px;
}
.m-r-m {
    margin-right: 8px;
}

/* general */

.text-center {
    text-align: center;
}

.padding-small {
    padding: 6px 6px !important;
}
.padding-none {
    padding: 0px !important;
}

/* more colors */

.pale-pink,
.hover-pale-pink:hover {
    color: #fff;
    background-color: #ffc5d8 !important;
}
.text-pale-pink,
.hover-text-pale-pink:hover {
    color: #ffc5d8 !important;
}
.border-pale-pink,
.hover-border-pale-pink:hover {
    border-color: #ffc5d8 !important;
}

.text-bold {
    font-weight: bold;
}

.login-warning {
    color: #862433;
    background-color: #f7f3ed;
    padding: 10px;
    border-radius: 8px;
    margin: 32px auto 32px auto;
    text-align: center;
    font-size: large;
    width: 95%;
}